<!DOCTYPE html>
<html>

<head>
    <meta charset="utf-8" />
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css" integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO"
        crossorigin="anonymous">
    <title>AJC Formation</title>
</head>

<body>
    <nav class="navbar navbar-expand-lg navbar-light bg-light">
        <a class="navbar-brand" href="#">MENU</a>
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent"
            aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>

        <div class="collapse navbar-collapse" id="navbarSupportedContent">
            <ul class="navbar-nav mr-auto">
                <li class="nav-item active">
                    <a class="nav-link" href="#">Home <span class="sr-only">(current)</span></a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="#">Link</a>
                </li>
                <li class="nav-item dropdown">
                    <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown"
                        aria-haspopup="true" aria-expanded="false">
                        Dropdown
                    </a>
                    <div class="dropdown-menu" aria-labelledby="navbarDropdown">
                        <a class="dropdown-item" href="#">Action</a>
                        <a class="dropdown-item" href="#">Another action</a>
                        <div class="dropdown-divider"></div>
                        <a class="dropdown-item" href="#">Something else here</a>
                    </div>
                </li>
                <li class="nav-item">
                    <a class="nav-link disabled" href="#">Disabled</a>
                </li>
            </ul>
            <form class="form-inline my-2 my-lg-0">
                <input class="form-control mr-sm-2" type="search" placeholder="Search" aria-label="Search">
                <button class="btn btn-outline-success my-2 my-sm-0" type="submit">Search</button>
            </form>
        </div>
    </nav>
    <div class="jumbotron">
        <h1>Welcome</h1>
        {% if personne %}
        <p>
            {{ personne.firstname }} {{ personne.name }}, you are {{ personne.age }} years old
        </p>
        {% else %}
        <p>Unregistered user. Please register yourself ...</p>
        {% endif %}
    </div>
    <div class="container">
        <div class="row">
            {% if personne %}
            <div class="card" style="width: 18rem;">
                <img class="card-img-top" src=".../100px180/" alt="Bank account information">
                <div class="card-body">
                    <h5 class="card-title">{{ personne.firstname }} {{ personne.name }}</h5>
                    <h6 class="card-subtitle mb-2 text-muted">Balance : {{ personne.balance }} €</h6>    
                    <p class="card-text">Your account information below</p>
                    
                    <div class="form-row">
                        <div class="col">
                            <form action="/deposit" method="POST">
                                <input type="hidden" value="{{ personne.name }}" name="name" />
                                <input type="hidden" value="{{ personne.firstname }}" name="firstname" />
                                <input type="hidden" value="{{ personne.age }}" name="age" />
                                <input type="text" class="form-control" placeholder="Deposit" name="deposit_val"/>
                                <br>
                                <button type="submit" class="btn btn-primary">Deposit</button>
                            </form>
                        </div>
                        <div class="col">  
                            <form action="/withdraw" method="POST">
                                <input type="hidden" value="{{ personne.name }}" name="name" />
                                <input type="hidden" value="{{ personne.firstname }}" name="firstname" />
                                <input type="hidden" value="{{ personne.age }}" name="age" />
                                <input type="text" class="form-control" placeholder="Withdraw" name="withdraw_val">
                                <br>
                                <button type="submit" class="btn btn-primary">Withdraw</button>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
            {% else %}
            <form action="/new_personne" method="POST">
                <div class="form-row">
                    <div class="col">
                        <input type="text" class="form-control" placeholder="Nom" name="nom">
                        <br>
                        <input type="text" class="form-control" placeholder="Prenom" name="prenom">
                        <br>
                        <input type="number" class="form-control" placeholder="Age" name="age">
                        <br>
                    </div>
                </div>
                <button type="submit" class="btn btn-primary">Validate</button>                
            </form>
            
            <div class="col-sm-6">
                <div>
                    <h2>Registered users</h2>
                </div>
                <div class="card-group">
                    {% if liste_personnes %}
                    {% for p in liste_personnes %}
                        <ul class="list-group">
                            <li class="list-group-item bg-info mb-3">{{ p.firstname }} {{ p.name }} 
                            <form action="/client_info" method="POST">                          
                                <input type="hidden" value="{{ p.name }}" name="name" />
                                <input type="hidden" value="{{ p.firstname }}" name="firstname" />
                                <input type="hidden" value="{{ p.age }}" name="age" />
                                <br>
                                <button type="submit" class="btn btn-primary">Info</button> 
                            </form>
                            </li>
                        </ul>          
                        <!-- <div class="card" style="width: 12rem;">                                                
                            <img class="card-img-top" src=".../100px180/" alt="{{ p.firstname }} {{ p.name }}">
                            <div class="card-body">
                                <form action="/client_info" method="POST">                          
                                    <input type="hidden" value="{{ p.name }}" name="name" />
                                    <input type="hidden" value="{{ p.firstname }}" name="firstname" />
                                    <input type="hidden" value="{{ p.age }}" name="age" />
                                    <br>
                                    <button type="submit" class="btn btn-primary">Info</button> 
                                </form>                               
                            </div>                       
                        </div> -->                    
                    {% endfor %}
                    {% endif %}
                </div>
            </div>
            {% endif %}
        </div>
    </div>

</body>

</html>